<?php

namespace App\Common\Email;

use App\Common\Email\Classes\EmailTemplate;
use \App\Core\Template\Output as Output;
use \App\Core\Email\Classes\Email as Email;

class EmailTemplateController extends \DefaultController
{

    protected $_class   = EmailTemplate::class;
    protected $_baseUrl = '/email';

    /**
     * Index
     *   Show the main Email list
     */
    function index()
    {
        //Output::render('index');
    }

    /**
     * Create
     *
     * Render the main Email formulary
     */
    function create()
    {
        Output::render('templateForm', ['id' => 0]);
    }

    /**
     * Store
     *
     * Store the param on the database
     * @param Email $email
     */
    function store(Email $email)
    {
        var_dump($email);
    }

    /**
     * Search
     *
     * Store the param on the database
     * @param Email $email
     */
    function search()
    {
    }

    /**
     * Show
     *
     * Render one register
     *
     * @param Email $email
     */
    function show(Email $email)
    {
    }

    /**
     * Edit
     *
     * Render the formular for a database Email
     *
     * @param Email $email
     */
    function edit(Email $email)
    {
        Output::render('form', $email);
    }

    /**
     * Update
     * Store the changes of the param on the database
     *
     * @param Email $email
     */
    function update(Email $email)
    {
    }

    /**
     * Destroy
     * If the object has soft delete.
     *
     * @param Email $email
     */
    function destroy(Email $email)
    {
    }

    /**
     * Purge
     * Remove object even with soft delete.
     *
     * @param Email $email
     */
    function purge(Email $email)
    {
    }
}
